Addresses
Node API v1.0.0 (Arrekta Node API).
| Method | Path | Summary |
|---|---|---|
| GET | /v1/addresses/{address} | Address Summary |
| GET | /v1/addresses/{address}/txs | Address Txs |
| GET | /v1/addresses/{address}/utxos | Address Utxos |
GET /v1/addresses/{address}
Address Summary.
curl -s http://127.0.0.1:28332/v1/addresses/<address>Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
address | path | string | yes |
Response 200 (application/json): AddressSummary
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
balances | Balance[] | yes | |
lock | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: address_summary_v1_addresses__address__get
GET /v1/addresses/{address}/txs
Address Txs.
curl -s http://127.0.0.1:28332/v1/addresses/<address>/txsParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
address | path | string | yes | |
limit | query | integer | no | min 1, max 500, default 50 |
before_height | query | integer | null | no | |
cursor | query | string | null | no |
Response 200 (application/json): AddressHistory
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
items | HistoryItem[] | yes | |
next_before_height | integer | null | yes | deprecated: skips the rest of a height when a page ends mid-height; use next_cursor. may be null |
next_cursor | string | null | no | pass as ?cursor= for the next page (exact resume); null on the last page. may be null |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: address_txs_v1_addresses__address__txs_get
GET /v1/addresses/{address}/utxos
Address Utxos.
curl -s http://127.0.0.1:28332/v1/addresses/<address>/utxosParameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
address | path | string | yes | |
asset | query | string | null | no | |
limit | query | integer | no | min 1, max 5000, default 1000 |
Response 200 (application/json): AddressUtxos
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
utxos | Utxo[] | yes |
Unknown fields may be added within v1; clients must ignore them.
Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.
operationId: address_utxos_v1_addresses__address__utxos_get
Schemas
AddressHistory
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
items | HistoryItem[] | yes | |
next_before_height | integer | null | yes | deprecated: skips the rest of a height when a page ends mid-height; use next_cursor. may be null |
next_cursor | string | null | no | pass as ?cursor= for the next page (exact resume); null on the last page. may be null |
Unknown fields may be added within v1; clients must ignore them.
AddressSummary
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
balances | Balance[] | yes | |
lock | string | yes |
Unknown fields may be added within v1; clients must ignore them.
AddressUtxos
| Field | Type | Required | Notes |
|---|---|---|---|
address | string | yes | |
utxos | Utxo[] | yes |
Unknown fields may be added within v1; clients must ignore them.
Balance
| Field | Type | Required | Notes |
|---|---|---|---|
asset | string | yes | |
authority_for | string | null | no | may be null |
control_for | string | null | no | may be null |
decimals | integer | yes | |
frozen | boolean | yes | |
immature | string | yes | |
spendable | string | yes | |
ticker | string | null | yes | may be null |
Unknown fields may be added within v1; clients must ignore them.
HistoryItem
| Field | Type | Required | Notes |
|---|---|---|---|
height | integer | yes | |
txid | string | yes |
Unknown fields may be added within v1; clients must ignore them.
Utxo
| Field | Type | Required | Notes |
|---|---|---|---|
amount | string | yes | |
asset | string | yes | |
authority_for | string | null | no | may be null |
coinbase | boolean | yes | |
control_for | string | null | no | may be null |
decimals | integer | yes | |
height | integer | yes | |
mature | boolean | yes | |
spent_in_mempool | boolean | yes | |
ticker | string | null | yes | may be null |
txid | string | yes | |
vout | integer | yes |
Unknown fields may be added within v1; clients must ignore them.